Part Point: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
(12 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}}
<translate>
<translate>


Line 17: Line 16:
|Name=Part Point
|Name=Part Point
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Point
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Point
|Workbenches=[[Part_Workbench|Part]]
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


== Description == <!--T:2-->
== Description == <!--T:12-->

A Point (vertex) geometric primitive.
<!--T:2-->
A [[Image:Part_Point.svg|24px]] '''Part Point''' is a parametric point that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. Its coordinates are relative to the coordinate system defined by its {{PropertyData|Placement}} property.


==Usage== <!--T:9-->
==Usage== <!--T:9-->


<!--T:4-->
<!--T:13-->
See [[Part_Primitives#Usage|Part Primitives]].
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Workbench|Part Workbench]]
# The Create Primitives dialogue can be accessed several ways:
#* Pressing the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Primitives]] icon located in the Part toolbar
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Point}} menu


===Geometric Primitives=== <!--T:5-->
== Properties == <!--T:14-->
{|
| [[File:PartVertexPrimitivesOptions_it.png]]
|
Point
====Parameter====
* {{Parameter|X}}
* {{Parameter|Y}}
* {{Parameter|Z}}
====Location====
*
*
*
|}
===Property===
{|
| [[File:PartVertexProperty_it.png|left]]
|
==== View ====


==== Data ==== <!--T:6-->
<!--T:15-->
See also: [[Property_editor|Property editor]].
{{KEY|Base}}

* {{PropertyData|Label}}:
<!--T:16-->
* {{PropertyData|Placement}}: [[Placement|placement]]
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|X}} :

* {{PropertyData|Y}} :
=== Data === <!--T:17-->
* {{PropertyData|Z}} :

|}
<!--T:18-->
{{TitleProperty|Attachment}}

<!--T:19-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:20-->
{{TitleProperty|Base}}

<!--T:21-->
* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.

== Scripting == <!--T:22-->

<!--T:23-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:24-->
A Part Point can be created with the {{Incode|addObject()}} method of the document:

</translate>
{{Code|code=
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}
<translate>

<!--T:25-->
* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.

<!--T:26-->
Example:

</translate>
{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()
}}
<translate>





Latest revision as of 10:27, 3 March 2022

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DataPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DataX (Distance): The X coordinate of the point. The default is 0mm.
  • DataY (Distance): The Y coordinate of the point. The default is 0mm.
  • DataZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()